    createCompositionWaterLoop = function()
    
        local compositionrender_2_bga = CreateCompositionSequence();
        local compositionDuration = 3.79166666666667;
        compositionrender_2_bga:SetDuration(compositionDuration);

        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_65.png");
        element:SetName("Layer_1");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(62, 104);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(262, 475);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 124, 208)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(2.41666666666667, 4.04166666666667);
    
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_65.png");
        element:SetName("Layer_2");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(62, 104);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(262, 475);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 124, 208)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.41666666666667);
        effector:Play();

        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water.png");
        element:SetName("Layer_3");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(229, 73.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(613.5, 541.75);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(38)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 458, 147)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.8);
        effector:Play();

        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_2.png");
        element:SetName("Layer_4");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(116.5, 77);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(670, 691);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(38)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 233, 154)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.8);
        effector:Play();

        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_3.png");
        element:SetName("Layer_5");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(66, 125.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(267.5, 619.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(38)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 132, 251)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.8);
        effector:Play();

        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_df.png");
        element:SetName("Layer_6");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(36.5, 76.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(239.75, 302.875);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 73, 153)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.91666666666667);
        effector:Play();

        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_62.png");
        element:SetName("Layer_7");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(10.5, 15.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(223.5, 238);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 21, 31)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 4.125);
        effector:Play();
   
        return compositionrender_2_bga;
    end
    
